/*
 * This is a point light source.
 *
 * (c) 2007 Jeremy Huddleston <jeremyhu@cs.berkeley.edu>
 *
 * Released under the terms of the LGPL-2:
 * http://www.fsf.org/licensing/licenses/lgpl.txt
 */

light pointlight_grouped(float intensity = 1;
                         color lightcolor = 1;
                         float falloff= 0;
                         point from = point "shader" (0,0,0);
                         uniform float group_id = 0;) {

    illuminate (from) {
        Cl = intensity * lightcolor;

        if(falloff == 1) {
            Cl *= 1.0 / length(L);
        } else if (falloff == 2) {
            Cl *= 1.0 / (L . L);
        }
    }
}
