/*    
 * This light shader is designed to be used with the shadow_surface shader
 * to compute raytraced shadows.
 *
 * (c) 2007 Jeremy Huddleston <jeremyhu@cs.berkeley.edu>
 *
 * Released under the terms of the LGPL-2:
 * http://www.fsf.org/licensing/licenses/lgpl.txt
 */

light shadow_grouped(float blur = 0.0;
                     uniform float samples = 1;
                     point from = point "shader" (0,0,0);
                     uniform float group_id = 0;) {

    illuminate(from) {
        Cl = shadow("raytrace", Ps, "blur", blur, "samples", samples);
    }
}
