/*
 * This light shader is designed to be used with the shadow_surface shader
 * to compute shadows.
 *
 * Portions (c) Copyright 1999-2003 Okan Arikan
 * Portions (c) 2007 Jeremy Huddleston <jeremyhu@cs.berkeley.edu>
 *
 * Released under the terms of the LGPL-2:
 * http://www.fsf.org/licensing/licenses/lgpl.txt
 */

light shadow_spot_grouped(float blur = 0.0;
                          uniform float samples = 16;
                          point from = point "shader" (0,0,0);
                          string shadowname = "";
                          float group_id = 0; ) {

    illuminate (from) {
        if (shadowname == "") {
            Cl = shadow("raytrace", Ps, "blur", blur, "samples", samples);
        } else {
            Cl = shadow(shadowname, Ps, "blur", blur, "samples", samples);
        }
    }
}
