/*
** Copyright (c) 2001 PIXAR.  All rights reserved.  This program or
** documentation contains proprietary confidential information and trade
** secrets of PIXAR.  Reverse engineering of object code is prohibited.
** Use of copyright notice is precautionary and does not imply
** publication.
**
**                      RESTRICTED RIGHTS NOTICE
**
** Use, duplication, or disclosure by the Government is subject to the
** following restrictions:  For civilian agencies, subparagraphs (a) through
** (d) of the Commercial Computer Software--Restricted Rights clause at
** 52.227-19 of the FAR; and, for units of the Department of Defense, DoD
** Supplement to the FAR, clause 52.227-7013 (c)(1)(ii), Rights in
** Technical Data and Computer Software.
**
** Pixar
** 1200 Park Ave
** Emeryville, CA 94608
**
** ----------------------------------------------------------------------------
*/

/* code generated by slim 6.5.3, RAT 6.5.3 (May 15 2006 03:07:00) */
/* for jeremy@yuffie.outersquare.org at: Fri Apr 20 16:17:31 PDT 2007 */
/* shader modification timestamp: 1177111045 */

/* includes ---------------------------------*/

/* defines ----------------------------------*/
#define SLIM_TYPEID_surface 0
#define SLIM_TYPEID_displacement 1
#define SLIM_TYPEID_volume 2
#define SLIM_TYPEID_light 3
#define SLIM_VERSION 650
#define SLIM_SHADERTYPE surface
#define SLIM_SHADERTYPEID SLIM_TYPEID_surface
#define SLIM_INSTANCETYPE color
#define SLIM_INSTANCENAME ShadowMapPointlight_0

/* shader body ------------------------------*/
SLIM_SHADERTYPE
SLIM_INSTANCENAME (
  string ShadowMapPointlight_0_Shadow_px="";
  string ShadowMapPointlight_0_Shadow_nx="";
  string ShadowMapPointlight_0_Shadow_py="";
  string ShadowMapPointlight_0_Shadow_ny="";
  string ShadowMapPointlight_0_Shadow_pz="";
  string ShadowMapPointlight_0_Shadow_nz="";
)
{

/* static functions ----------------------*/

	    void
	    pxslCShadowMapPointlight (
		float samples;
		float blur;
		float bias;
		string pxmap;
		string nxmap;
		string pymap;
		string nymap;
		string pzmap;
		string nzmap;
		output color result; )
	    {
		color
		getshadow(string filename;
				point Q;
				float samples;
				float blur;
				float bias;)
		{
	    	    color result = 0;
	    	    if(filename != "")
		    {
			if(bias != 0)
			    result = color shadow(filename, Q,
						"samples", samples,
						"swidth", blur,
						"twidth", blur,
						"bias", bias);
			else
			    result = color shadow(filename, Q,
						"samples", samples,
						"swidth", blur,
						"twidth", blur);
		    }
		    return result;
		}
		result = color(0);
#if SLIM_SHADERTYPEID == SLIM_TYPEID_light
		extern vector L;
		extern point Ps;
		vector Lrel = vtransform("shader", L);
		float Lx = xcomp(Lrel);
		float AbsLx = abs(Lx);
		float Ly = ycomp(Lrel);
		float AbsLy = abs(Ly);
		float Lz = zcomp(Lrel);
		float AbsLz = abs(Lz);
		if (pxmap != "")
		{
		    if(AbsLx > AbsLy && AbsLx > AbsLz && Lx > 0)
		    {

			 result = getshadow(pxmap, Ps,  samples, blur, bias);
		    }
		}
		if (nxmap != "")
		{
		    if(AbsLx > AbsLy && AbsLx > AbsLz && Lx <= 0)
		    {
			 result = getshadow(nxmap, Ps,  samples, blur, bias);
		    }
		}
		if (pymap != "")
		{
		    if(AbsLy > AbsLx && AbsLy > AbsLz && Ly > 0)
		    {
			 result = getshadow(pymap, Ps,  samples, blur, bias);
		    }
		}
		if (nymap != "")
		{
		    if(AbsLy > AbsLx && AbsLy > AbsLz && Ly <= 0)
		    {
			 result = getshadow(nymap, Ps,  samples, blur, bias);
		    }
		}
		if (pzmap != "")
		{
		    if(AbsLz > AbsLy && AbsLz > AbsLx && Lz > 0.0)
		    {
			 result = getshadow(pzmap, Ps,  samples, blur, bias);
		    }
		}
		if (nzmap != "")
		{
		    if(AbsLz > AbsLy && AbsLz > AbsLx && Lz <= 0.0)
		    {
			 result = getshadow(nzmap, Ps,  samples, blur, bias);
		    }
		}
#endif
	    }
    	

/* dynamic functions ------------------------*/

/* local variables --------------------------*/
  color tmp0;

/* main body --------------------------------*/
  /* generate (all) ----------- */
  pxslCShadowMapPointlight ( /* ShadowMapPointlight_0 */
    16, /* Samples */
    0, /* Blur */
    0, /* Bias */
    ShadowMapPointlight_0_Shadow_px, /* Shadow_px */
    ShadowMapPointlight_0_Shadow_nx, /* Shadow_nx */
    ShadowMapPointlight_0_Shadow_py, /* Shadow_py */
    ShadowMapPointlight_0_Shadow_ny, /* Shadow_ny */
    ShadowMapPointlight_0_Shadow_pz, /* Shadow_pz */
    ShadowMapPointlight_0_Shadow_nz, /* Shadow_nz */
    tmp0  /* result */ 
    );
  Ci = tmp0;
  Oi = color(1,1,1);
}

